// To parse this JSON data, do
//
//     final viewedProductsResponse = viewedProductsResponseFromJson(jsonString);

import 'dart:convert';

ViewedProductsResponse viewedProductsResponseFromJson(String str) => ViewedProductsResponse.fromJson(json.decode(str));

String viewedProductsResponseToJson(ViewedProductsResponse data) => json.encode(data.toJson());

class ViewedProductsResponse {
  ViewedProductsResponse({
    this.listViewedProduct,
  });

  List<ListViewedProduct>? listViewedProduct;

  factory ViewedProductsResponse.fromJson(Map<String, dynamic> json) => ViewedProductsResponse(
    listViewedProduct: List<ListViewedProduct>.from(json["listViewedProduct"].map((x) => ListViewedProduct.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "listViewedProduct": List<dynamic>.from(listViewedProduct!.map((x) => x.toJson())),
  };
}

class ListViewedProduct {
  ListViewedProduct({
    this.id,
    this.thumb,
    this.title,
    this.producer,
    this.price,
    this.evaluate,
    this.manufacture,
  });

  int? id;
  String? thumb;
  String? title;
  String? producer;
  String? price;
  String? evaluate;
  String? manufacture;

  factory ListViewedProduct.fromJson(Map<String, dynamic> json) => ListViewedProduct(
    id: json["id"],
    thumb: json["thumb"],
    title: json["title"],
    producer: json["producer"],
    price: json["price"],
    evaluate: json["rate_product"],
    manufacture: json["manufacture"],
  );

  Map<String, dynamic> toJson() => {
    "id": id,
    "thumb": thumb,
    "title": title,
    "producer": producer,
    "price": price,
    "rate_product": evaluate,
    "manufacture": manufacture,
  };
}
